Updates an existing user

Auth

Updates an existing user.

Path parameters

user_name string required

Identifier for the user

Request body

All changes in the specified object are applied to the user according to the JSON Merge Patch processing rules. Omitting existing fields causes the same values to be reapplied. Specifying a null value reverts the field to the default value, or removes the field when no default value exists.

Type: string

Responses

User successfully updated

application/json
user_name string required

The user's identifier

security object required

A user's security information

roles string[]

The set of roles assigned to a user

permissions string[]

The distinct set of permissions allowed by the user's roles. These correspond to operationId values in the OpenAPI definition.

password string

The user's password. Only used when modifying a user.

enabled boolean

True if the user is enabled

full_name string

The user's optional full name

email string

The user's optional email address

builtin boolean

True if the user is a built-in read-only user